UNITARGET_CONFIG_TITLE = "UniTarget Options";

UniTarget_ChannelList = {
	["PARTY"] = "PARTY",
	["GUILD"] = "GUILD",
	["RAID"] = "RAID",
	["SAY"] = "SAY",
	["YELL"] = "YELL",
	["SELF"] = "SELF",
	["1"] = "1",
	["2"] = "2",
	["3"] = "3",
	["4"] = "4",
	["5"] = "5",
	["6"] = "6",
	["7"] = "7",
	["8"] = "8",
	["9"] = "9",
};

function UniTargetConfig_OnLoad()
	UIPanelWindows["UniTargetConfigFrame"] = {area = "center", pushable = 0};
end

function UniTargetConfig_SetValues()
	cbxUTShowClass:SetChecked(UniTargetSaved.Class == 1);
	cbxUTShowRace:SetChecked(UniTargetSaved.Race == 1);
	cbxUTShowGuild:SetChecked(UniTargetSaved.Guild == 1);
	cbxUTShowLocation:SetChecked(UniTargetSaved.Location == 1);
	cbxUTShowPVP:SetChecked(UniTargetSaved.PVPReport == 1);
	cbxUTBriefStyle:SetChecked (UniTargetSaved.Style == 2);
	cbxUTShowButton:SetChecked (UniTargetSaved.Button == 1);
	butUTChannel:SetText(UniTargetSaved.Channel);
	cbxUTButtonFunction:SetChecked (UniTargetSaved.ButtonFunction == 1);
	cbxUTButtonTooltips:SetChecked (UniTargetSaved.ButtonTooltips == 1);
end

function UniTargetConfig_OnShow()
	txtUTConfigTitle:SetText(UNITARGET_CONFIG_TITLE);
	txtUTConfigTitle:SetTextColor(ITEM_QUALITY6_TOOLTIP_COLOR.r, ITEM_QUALITY6_TOOLTIP_COLOR.g, ITEM_QUALITY6_TOOLTIP_COLOR.b);
	txtUTConfigTitle:Show();

	UniTar_ChatPrint(txtUTConfigTitle:GetText());

	UniTargetConfig_SetValues();
end

function UniTargetConfig_OnHide()
	if (MYADDONS_ACTIVE_OPTIONSFRAME == this) then
		ShowUIPanel(myAddOnsFrame);
	end
end

function UniTargetConfig_OnMouseDown(arg1)
	if (arg1 == "LeftButton") then
		UniTargetConfigFrame:StartMoving();
	end
end

function UniTargetConfig_OnMouseUp(arg1)
	if (arg1 == "LeftButton") then
		UniTargetConfigFrame:StopMovingOrSizing();
	end
end

function UniTargetConfig_btnUTDone_OnClick()
	HideUIPanel(UniTargetConfigFrame);
end

--function UniTarget_ChannelDropdown_OnLoad()
--	UIDropDownMenu_Initialize(this, UniTarget_ChannelDropdown_Initialize);
--	UIDropDownMenu_SetSelectedValue(this, UniTarget_ChannelDropdown_GetValue());
--	UniTarget_ChannelDropdown.tooltip = "UniTarget outputting in this channel as config-channel.";
--	UIDropDownMenu_SetWidth(140, UniTarget_ChannelDropdown);
--	OptionsFrame_EnableDropDown(UniTarget_ChannelDropdown);
--end

--function UniTarget_ChannelDropdown_GetValue()
--	if (UniTargetSaved.Channel ~= nil) then
--		return UniTargetSaved.Channel;
--	else
--		UniTar_ChatPrint("Errored. -> Dropdown_GetValue");
--	end
--end

--function UniTarget_ChannelDropdown_OnClick()
--	UIDropDownMenu_SetSelectedValue(UniTarget_ChannelDropdown, this.value);
--	if ( this.value ~= UniTargetSaved.Channel ) then
--		UniTargetSaved.Channel = this.value;
--	end
--end

--function UniTarget_ChannelDropdown_Initialize()
--	local selectedValue = UIDropDownMenu_GetSelectedValue(UniTarget_ChannelDropdown);
--	local info;

--	for key, value in UniTarget_ChannelList do
--		--if ( table.getn(UniTarget_ChannelList[key]) > 0  ) then
--			info = {};
--			info.text = key;
--			info.value = value;
--			info.func = UniTarget_ChannelDropdown_OnClick(info);
--			if ( selectedValue == info.value ) then
--				info.checked = 1;
--			else
--				info.checked = 0;
--			end
--			UIDropDownMenu_AddButton(info);
		--end
--	end
--end